/* irq.h: hardware interrupt definitions
 *
 * Written by Matsushita Corporation
 * Modified by David Howells (dhowells@redhat.com)
 * Modified by Noboru Asai (asai.noboru@jp.panasonic.com)
 * Derived from include/asm-i386/irq.h: (C) 1992, 1993 Linus Torvalds, (C) 1997 Ingo Molnar
 */

#ifndef _ASM_IRQ_H
#define _ASM_IRQ_H

#include <asm/cpu/intctl-regs.h>
#include <asm/cpu/reset-regs.h>
#include <asm/proc/irq.h>

/* this number is used when no interrupt has been assigned */
#define NO_IRQ		INT_MAX

/* hardware irq numbers */
#define NR_IRQS		GxICR_NUM_IRQS

/* external hardware irq numbers */
#define NR_XIRQS	GxICR_NUM_XIRQS

#define irq_canonicalize(IRQ) (IRQ)

#endif /* _ASM_IRQ_H */
