/* irq.h: hardware interrupt definitions
 *
 * Written by Matsushita Corporation
 * Modified by David Howells (dhowells@redhat.com)
 * Derived from include/asm-i386/irq.h: (C) 1992, 1993 Linus Torvalds, (C) 1997 Ingo Molnar
 */

#ifndef _ASM_IRQ_H
#define _ASM_IRQ_H

#include <asm/proc/intctl-regs.h>
#include <asm/proc/reset.h>

/* this number is used when no interrupt has been assigned */
#define NO_IRQ		INT_MAX

/* hardware irq numbers */
#define NR_IRQS		GxICR_NUM_IRQS

#define irq_canonicalize(IRQ) (IRQ)

#warning Including kernel header in userspace!
#endif /* _ASM_IRQ_H */
